<ion-header>
  <ion-toolbar>
    <ion-buttons slot="start">
      <ion-back-button></ion-back-button>
    </ion-buttons>

    <ion-title>slct-opts</ion-title>
  </ion-toolbar>
</ion-header>

<ion-content>

    <ion-select [(ngModel)]="color" placeholder="Couleur du parcours">
        <ion-select-option value="red">Rouge</ion-select-option>
        <ion-select-option value="yellow">Jaune</ion-select-option>
        <ion-select-option value="green">Vert</ion-select-option>
        <ion-select-option value="purple">Violet</ion-select-option>
        <ion-select-option value="orange">Orange</ion-select-option>
        <ion-select-option value="blue">Bleu</ion-select-option>
    </ion-select>

    <ion-select [(ngModel)]="type" placeholder="Type de parcours">
        <ion-select-option value="red">Chemin de terre</ion-select-option>
        <ion-select-option value="yellow">Route</ion-select-option>
        <ion-select-option value="green">Mixte</ion-select-option>
    </ion-select>

    <ion-select [(ngModel)]="difficulty" placeholder="Difficulté">
        <ion-select-option value="red">Facile</ion-select-option>
        <ion-select-option value="yellow">Difficile</ion-select-option>
        <ion-select-option value="green">Très difficile</ion-select-option>
    </ion-select>

    <ion-select [(ngModel)]="status" placeholder="Visibilité">
        <ion-select-option value="public">Publique</ion-select-option>
        <ion-select-option value="privet">Privée</ion-select-option>
    </ion-select>

    <ion-button [disabled]="!color || !type || !difficulty || !status || !trace || !riderId" (click)="saveRide()">Enregistrer le parcours</ion-button>

</ion-content>
